Subject: bug#73991: EditorConfig bundled with Emacs 30 does not set tab-width

From: Kenta USAMI <[email-masked]>
Date: Sun, 27 Oct 2024 01:20:13 +0900

I agree with your point, but since EditorConfig is meant for editor
interoperability,
it would be more productive to discuss this with other text editor
developers on
the EditorConfig mailing list than with Emacs editorconfig-mode users.

I think that bundling a built-in EditorConfig in Emacs will help many Emacs
users
and potential Emacs beginners. I'm very grateful for your work.

2024年10月27日(日) 0:21 Stefan Monnier <[email-masked]>:

> >>> You can get the same behavior with
> >>>
> >>>    indent_size = tab
> >>>    tab_width = 4
> >>
> >> The settings mean the same thing,
> >
> > Do they?  If so, why prefer the above formulation?
>
> The weird thing about this insistence that indent_size == tab_width and
> that exclusively TAB chars should be used for indentation, is that the
> whole point of that style of indentation is that it looks correct
> regardless of `tab-width`, making the `tab-width` into a user-preference
> that does not need to be enforced in the coding convention (and thus
> shouldn't be set by `.editorconfig`).
>
> In clear, I think the `.editorconfig` file should say just
>
>     indent_size = tab
>
> and then every user would set tab-width to the value they like in their
> favorite editor's personal settings.
>
> Anyway, I pushed the last patch, combined with the previous one, to
> `emacs-30`, which I believe should fix the problem you reported.
>
>
>         Stefan
>
>